Package org.jcsp.util.filter

# Class FilteredChannelEnd

java.lang.Object
org.jcsp.util.filter.FilteredChannelEnd

public class FilteredChannelEnd extends Object
Static factory for creating channel end wrappers that support filtering.

Author:
  Quickstone Technologies Limited

## Method Summary

Modifier and Type
Method
Description
`static FilteredAltingChannelInput`
`createFiltered(AltingChannelInput in)`
Creates a new filtered input channel end around an existing input channel end.
`static FilteredChannelInput`
`createFiltered(ChannelInput in)`
Creates a new filtered input channel end around an existing input channel end.
`static FilteredChannelOutput`
`createFiltered(ChannelOutput out)`
Creates a new filtered output channel end around an existing output channel end.
`static FilteredSharedChannelInput`
`createFiltered(SharedChannelInput in)`
Creates a new filtered input channel end around an existing input channel end that can be shared by multiple processes.
`static FilteredSharedChannelOutput`
`createFiltered(SharedChannelOutput out)`
Creates a new filtered output channel end around an existing output channel end that can be shared by multiple processes.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### createFiltered

public static FilteredAltingChannelInput createFiltered(AltingChannelInput in)
Creates a new filtered input channel end around an existing input channel end. The channel end can be used as a guard in an `Alternative`.

Parameters:
  `in` - the existing channel end to create a filtered form of.
Returns:
  the new channel end with filtering ability.

### createFiltered

public static FilteredChannelInput createFiltered(ChannelInput in)
Creates a new filtered input channel end around an existing input channel end.

Parameters:
  `in` - the existing channel end to create a filtered form of.
Returns:
  the new channel end with filtering ability.

### createFiltered

public static FilteredSharedChannelInput createFiltered(SharedChannelInput in)
Creates a new filtered input channel end around an existing input channel end that can be shared by multiple processes.

Parameters:
  `in` - the existing channel end to create a filtered form of,
Returns:
  the new channel end with filtering ability.

### createFiltered

public static FilteredChannelOutput createFiltered(ChannelOutput out)
Creates a new filtered output channel end around an existing output channel end.

Parameters:
  `out` - the existing channel end to create a filtered form of.

### createFiltered

public static FilteredSharedChannelOutput createFiltered(SharedChannelOutput out)
Creates a new filtered output channel end around an existing output channel end that can be shared by multiple processes.

Parameters:
  `out` - the existing channel end to create a filtered form of.
Returns:
  the new channel end with filtering ability.